
package org.jboss.tutorial.stateful.client;


import java.util.HashMap;
import javax.naming.InitialContext;
import javax.naming.NamingEnumeration;
import javax.naming.NameClassPair;

import org.jboss.tutorial.stateful.bean.ISyncFacade;
import org.jboss.tutorial.stateful.bean.SyncFacade;


public class Client
{

    public static  InitialContext ctx;
    public static void main(String[] args) throws Exception
    {
        ctx = new InitialContext();
        System.out.println("context shopping"+ctx.getNameInNamespace());

        ISyncFacade facade = (ISyncFacade) Client.getCtx().lookup("SyncFacade/remote");
        facade.addWO();
        System.out.println("Test done");

    }

    public static InitialContext getCtx()
    {
        return ctx;
    }





}


